-- =============================================================
-- Example to access a view, a function, and a stored procedure
-- =============================================================
set statistics io on
go
SELECT * FROM dbo.SumOfAllChargesByMember 
    WHERE memberno = 9999
	-- Same as function but more typing not as easy to use

SELECT * FROM fn_SumforMember(9999) 
	-- Can add where clauses and programmatically analyze the results

EXEC SumForMember 9999
	-- just get the data the way the developer wants you to
	-- can be more optimized and you have flexibility in recompilation
GO
-- If you'd like to see the code for each of these AND even play with them
-- and test them out...
-- (1) Open the Credit.zip
-- (2) Read the 1stReadMe.txt
-- (3) Setup the credit database
-- (4) Check out the "Indexing for Aggregates.sql" script
--
-- Have fun,
-- kt